package fr.lri.keller.td6;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;

/**
 * A placeholder fragment containing a simple view.
 */
public class TD6ActivityFragment extends Fragment {

    private Button buttonClick;
    private TextView textViewNbClics;
    private TextView textViewNiveau;

    private int clics = 0;
    private static int clicsTotal = 0;
    public static int niveau = 0;

    public TD6ActivityFragment() {
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // On veut que les données du fragment soient mémorisées
        setRetainInstance(true);
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View v = inflater.inflate(R.layout.fragment_td6, container, false);

        buttonClick = (Button) v.findViewById(R.id.buttonClick);
        textViewNbClics = (TextView) v.findViewById(R.id.textViewNbClics);

        textViewNiveau = (TextView) getActivity().findViewById(R.id.textViewNiveau);

        textViewNbClics.setText(""+clics);

        buttonClick.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                clickTheButton();
            }
        });

        return v;
    }

    public void clickTheButton() {
        clics++;
        clicsTotal++;
        textViewNbClics.setText("" + clics);
        if (clicsTotal % 5 == 0) {
            niveau++;    // On pourrait se passer de cette variable, et utiliser clicsTotal / 5
            textViewNiveau.setText(""+niveau);
        }
    }
}